drop procedure if exists public.sp_UpdateEventType;
CREATE procedure public.sp_UpdateEventType
(
	"AmbulanceEventId" UUID,
	"EventType" varchar(64)
)
As 
$$
Begin
	UPDATE akuz.T_EVENT_BASE
	SET type_ = (select EntityID
		from VCLib.T_ENTITIES
		where EntName = "EventType" and Schema = 'AKUZ')
	where EventID = "AmbulanceEventId";
End;
$$ Language plpgsql;